%global github_name warlock
%global commit 460080eb27fd8598c6b00f0df70e597058152323
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-warlock
Version:        1.0.1
%define base_release .1
Release:        1%{?dist}%{?base_release}
Summary:        Python object model built on top of JSON schema

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/warlock
# pypi tarball does not contain LICENSE.txt
# TODO return pypi tarball when github.com/bcwaldon/warlock/pull/12 is done
Source0:        https://github.com/bcwaldon/%{github_name}/archive/%{commit}/%{github_name}-%{version}-%{shortcommit}.tar.gz
#Source0:        http://pypi.python.org/packages/source/w/warlock/warlock-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires: python-jsonschema
BuildRequires: python-jsonschema
Requires: python-jsonpatch
BuildRequires: python-jsonpatch

%description
Build self-validating python objects using JSON schemas

%prep
%setup -qn %{github_name}-%{commit}

# Remove bundled egg-info
rm -rf warlock.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py
rm -f requirements.txt

%build
%{__python} setup.py build

%check
%{__python} setup.py test

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.md LICENSE.txt
%{python_sitelib}/warlock
%{python_sitelib}/warlock-%{version}-py?.?.egg-info

%changelog
* Wed Jan 22 2014 baseuser@ibm.com
- Base-f19.x spec file
